/*
Code written by: Dean Lunz (aka Crated by: X)
Web: http://www.createdbyx.com/ 
 */
#region Using Statements
using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;
#endregion

namespace GunsABlazin
{
   public class FrameSequenceItem : ICloneable
    {
        private TimeSpan displayTime;
        private Texture2D tex;
        private Vector2 center;
        private float scale = 1;

        public float Scale
        {
            get { return scale; }
            set { scale = value; }
        }
	
        public Vector2 Center
        {
            get { return center; }
            set { center = value; }
        }
	
        public Texture2D Texture
        {
            get { return tex; }
            set { tex = value; }
        }

        public TimeSpan DisplayTime
        {
            get { return displayTime; }
            set { displayTime = value; }
        }

       public Object Clone()
       {
             FrameSequenceItem tmp = new FrameSequenceItem( );
             tmp.center = this.center;
             tmp.displayTime = this.displayTime;
             tmp.tex = this.tex;
             return tmp;          
       }
    }
}
