/*
Code written by: Dean Lunz (aka Crated by: X)
Web: http://www.createdbyx.com/ 
 */
using System;
using System.Collections.Generic;
using System.Text;

namespace GunsABlazin
{
    static class Helpers
    {
        public static float GetRotationInRadians(float X1, float Y1, float X2, float Y2)
        {
            float Rot;
            Rot = (float)(Math.Atan2(Y2 - Y1, X2 - X1));
            if (Rot < 0) Rot += (float)(2.0F * Math.PI);
            return Rot;
        }

        public static float GetRotationInDegrees(float X1, float Y1, float X2, float Y2)
        {
            float Rot;
            Rot = (float)(Math.Atan2(Y2 - Y1, X2 - X1));
            if (Rot < 0) Rot += (float)(2.0F * Math.PI);
            Rot = Rot * (float)(180 / Math.PI);
            return Rot;
        }

    }
}
